<template>
  <div class="wrapper" @click="$emit('toggle')">
    <template v-if="isMobile">
      <span class="count">{{ count }}</span>
      <div class="title">{{ $t("preorderCart.title") }}</div>
      <span class="price"
        >{{ $t("preorderCart.amount") }} <price :price="totalPrice"
      /></span>
    </template>
    <template v-else>
      <span class="desktop-count">{{
        $t("preorderCart.count", { count })
      }}</span>
      <span class="price"
        >{{ $t("preorderCart.amount") }} <price :price="totalPrice"
      /></span>
    </template>
  </div>
</template>

<script>
import { mapState } from "vuex";
import Price from "@/components/Price";

export default {
  components: {
    Price
  },

  props: {
    data: {
      type: Array
    }
  },

  computed: {
    ...mapState(["isMobile"]),

    totalPrice() {
      return this.data.reduce((total, item) => total + item.price, 0);
    },

    count() {
      return this.data.reduce((total, item) => total + item.count, 0);
    }
  }
};
</script>

<style lang="scss" scoped>
.wrapper {
  position: fixed;
  z-index: 1;
  left: 0;
  bottom: 0;
  background: $color-skm-red;
  color: $color-white;
  width: 100%;
  height: 48px;
  padding: 0 20px;
  cursor: pointer;
  align-items: center;

  @include media-breakpoint-up(md) {
    left: auto;
    right: 20px;
    bottom: 20px;
    width: 375px;
    border-radius: 8px;
  }
}

.count {
  position: absolute;
  left: 20px;
  top: 50%;
  margin-top: -12px;
  width: 28px;
  height: 22px;
  border: 1px $color-white solid;
  border-radius: 4px;
  text-align: center;
  line-height: 22px;
  font-size: 14px;
}

.desktop-count {
  position: absolute;
  top: 0;
  left: 20px;
  font-size: 16px;
  line-height: 48px;
  width: 100%;
}

.title {
  font-size: 16px;
  font-weight: 500;
  width: 100%;
  text-align: center;
  line-height: 48px;
}

.price {
  position: absolute;
  right: 20px;
  top: 0;
  height: 100%;
  line-height: 48px;
  width: auto;
  white-space: nowrap;
  font-size: 12px;
  font-weight: 500;
}
</style>
